%define debug_package %{nil}
%define _prefix /opt/rocketmq
%define path_name %{name}-all-%{version}-source-release

Summary: Cloud-Native, Distributed Messaging and Streaming
Name: rocketmq
Version: 5.1.3
Release: 6
License: Apache-2.0
Group: Applications/Message
URL: https://rocketmq.apache.org/
Source0: https://archive.apache.org/dist/%{name}/%{version}/%{name}-all-%{version}-source-release.zip
Patch0001: patch001-backport-some-typo-fixes.patch
Patch0002: patch002-backport-some-enhancement.patch
Patch0003: patch003-backport-feature-refactor-recipt-processor.patch
Patch0004: patch004-backport-Support-Proxy-Protocol-for-gRPC-and-Remoting-Server.patch
Patch0005: patch005-backport-fix-some-bugs.patch
BuildRequires: java-1.8.0-openjdk-devel, maven, maven-local, git
Requires: java-1.8.0-openjdk-devel

%description
Apache RocketMQ is a cloud native messaging and streaming platform, making it simple to build event-driven applications.

%prep
%autosetup -S git -n %{name}-all-%{version}-source-release

%build
mvn -Prelease-all -DskipTests clean package -U

%install
cd %{_builddir}/%{path_name}/distribution/target
mkdir -p $RPM_BUILD_ROOT%{_prefix}
cp -pr %{_builddir}/%{path_name}/distribution/target/rocketmq-5.1.4-SNAPSHOT/rocketmq-5.1.4-SNAPSHOT/* $RPM_BUILD_ROOT%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD

%files
%defattr(-,root,root)
%attr(-,rocketmq,rocketmq) %{_prefix}
%dir %attr(755, rocketmq, rocketmq) %{_prefix}

%pre
getent group rocketmq >/dev/null || groupadd -r rocketmq
getent passwd rocketmq >/dev/null || useradd -r -g rocketmq -d / -s /sbin/nologin rocketmq
exit 0


%changelog
* Fri Sep 15 2023 ShiZhili <shizhili_yewu@cmss.chinamobile.com> - 5.1.3-6
- backport fix some bugs

* Fri Sep 15 2023 ShiZhili <shizhili_yewu@cmss.chinamobile.com> - 5.1.3-5
- backport Support Proxy Protocol for gRPC and Remoting Server

* Fri Sep 15 2023 ShiZhili <shizhili_yewu@cmss.chinamobile.com> - 5.1.3-4
- backport refactor receipt processor

* Wed Sep 13 2023 ShiZhili <shizhili_yewu@cmss.chinamobile.com> - 5.1.3-3
- backport some enhancement

* Fri Sep 08 2023 ShiZhili <shizhili_yewu@cmss.chinamobile.com> - 5.1.3-2
- fix some bugs

* Thu Aug 17 2023 ShiZhili <shizhili_yewu@cmss.chinamobile.com> - 5.1.3-1
- init rocketmq spec